List Custom GPTs
Returns all active Custom GPTs for the authenticated workspace — enterprise-scoped, or the user's private Custom GPTs when the workspace has no enterprise. Results are filtered by the API key's Custom GPT permissions when applicable. To chat with one of them, pass its id as custom_gpt_id to POST /v2/chat/completions.
GET
https://api.deutschlandgpt.de/v2/custom-gptsExample request
curl https://api.deutschlandgpt.de/v2/custom-gpts \
-X GET \
-H "Authorization: Bearer $DGPT_API_KEY"curl https://api.deutschlandgpt.de/v2/custom-gpts \
-X GET \
-H "Authorization: Bearer $DGPT_API_KEY"import os, requests
response = requests.get(
"https://api.deutschlandgpt.de/v2/custom-gpts",
headers={"Authorization": f"Bearer {os.environ['DGPT_API_KEY']}"},
)
print(response.json())import os, requests
response = requests.get(
"https://api.deutschlandgpt.de/v2/custom-gpts",
headers={"Authorization": f"Bearer {os.environ['DGPT_API_KEY']}"},
)
print(response.json())const response = await fetch('https://api.deutschlandgpt.de/v2/custom-gpts', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.DGPT_API_KEY}`,
},
});
console.log(await response.json());const response = await fetch('https://api.deutschlandgpt.de/v2/custom-gpts', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.DGPT_API_KEY}`,
},
});
console.log(await response.json());Response
200application/json
{
"object": "list",
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string",
"instructions": "string",
"conversationStarters": "string",
"metadata": {
"files": [
null
],
"webBrowsing": {
"enabled": null
},
"imageGeneration": {
"enabled": null
},
"codeInterpreter": {
"enabled": null
}
},
"accessLevel": "string",
"promptSuggestions": [
"string"
],
"modelId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2025-01-01T00:00:00Z"
}
]
}{
"object": "list",
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string",
"instructions": "string",
"conversationStarters": "string",
"metadata": {
"files": [
null
],
"webBrowsing": {
"enabled": null
},
"imageGeneration": {
"enabled": null
},
"codeInterpreter": {
"enabled": null
}
},
"accessLevel": "string",
"promptSuggestions": [
"string"
],
"modelId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2025-01-01T00:00:00Z"
}
]
}List of Custom GPTs
objectstringdataCustomGpt[]idstring<uuid>namestringdescriptionstring | nullinstructionsstring | nullconversationStartersstring | nullmetadataCustomGptMetadatafilesobject[]webBrowsingobjectimageGenerationobjectcodeInterpreterobjectaccessLevelstringpromptSuggestionsstring[]modelIdstring<uuid> | nullcreatedAtstring<date-time>Response codes
200
List of Custom GPTs
object401
Unauthorized
Was this page helpful?